Skip to main content

Endpoint

DELETE /api/v1/bots/{object_id}

Authentication

Requires API key authentication via the Authorization header.
Authorization
string
required
Your API key in the format: Token YOUR_API_KEY_HERE
Content-Type
string
required
Must be application/json

Path Parameters

object_id
string
required
The unique identifier for the bot.Example: bot_xxxxxxxxxxx

Description

Deletes a scheduled bot. This endpoint can only be used to delete bots that are in the scheduled state and have not yet joined a meeting.
This endpoint permanently deletes the bot. To remove a bot from an active meeting, use the Leave Meeting endpoint instead.
If you need to delete data for a bot that has already joined a meeting, use the Delete Bot Data endpoint.

Response

Returns a 200 status code on success with no response body.

Example Request

curl -X DELETE 'https://api.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx' \
  -H 'Authorization: Token YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json'

Example Response

HTTP/1.1 200 OK

Error Codes

  • 200 - Scheduled bot deleted successfully
  • 400 - Bot cannot be deleted (e.g., bot is not in scheduled state)
  • 401 - Invalid or missing API key
  • 404 - Bot not found

Build docs developers (and LLMs) love